import { EventEmitter } from "../../../../../stencil-public-runtime";
import * as langly from "langly";
import { Log } from "@payfunc/model-log";
export declare class IntergiroLogTableRow {
  element: HTMLElement;
  t: langly.Translate;
  log: Log;
  index: number;
  opened: string;
  abbreviated: boolean;
  hideMerchant: boolean;
  columnClicked: EventEmitter;
  resource: string;
  componentWillLoad(): void;
  handleColumnClick(column: string): void;
  getResource(): void;
  render(): any[];
}
